tipa (2:1.3+apricot-20) unstable; urgency=medium

  * fix location of documentation links to /usr/share/texmf/doc
  * build pdf instead of dvi
  * do not compress pdf files, they are already compressed
  * bump standards version to 3.9.6, no changes necessary

 -- Norbert Preining <preining@debian.org>  Fri, 10 Oct 2014 08:49:02 +0900

tipa (2:1.3-19) unstable; urgency=low

  * Don't ship encodings dir since it will make debhelper generate the
    problematic update-fonts-dir --x11r7-layout encodings call that removes
    /usr/share/fonts/X11/encodings/encodings.dir. Thanks to Andreas Beckmann for
    report and workaround. (Closes: #682939)

 -- Daniele Tricoli <eriol@mornie.org>  Sun, 16 Sep 2012 19:33:27 +0200

tipa (2:1.3-18) unstable; urgency=low

  * Removed silipa.enc otherwise xfonts-tipa package removes
    /usr/share/fonts/X11/encodings/encodings.dir owned by
    xfonts-encodings (Closes: #682939)

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 27 Jul 2012 12:13:51 +0200

tipa (2:1.3-17) unstable; urgency=low

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Thu, 22 Mar 2012 18:31:16 +0900

tipa (2:1.3-16) experimental; urgency=low

  [ Daniele Tricoli ]
  * debian/control
    - Removed Debian QA Group and added Debian TeX maintainers to
      Maintainer
    - Added myself to Uploaders (Closes: #534384)
  * debian/copyright
    - Made DEP5 compliant

  [ Norbert Preining ]
  * debian/control
    - add myself as uploader
    - bump build dep on tex-common to >= 3
    - fix Vcs fields
  * debian/maintscript
    - remove old conffile

 -- Norbert Preining <preining@debian.org>  Mon, 05 Mar 2012 11:27:56 +0900

tipa (2:1.3-15) unstable; urgency=low

  * QA upload (see bug #534384).
    + Set maintainer to Debian QA Group.
  * Add build-arch, build-indep and binary-arch targets.
  * Convert to source format 3.0 (quilt):
    + Add debian/source/format.
    + Drop patching code from debian/rules.
    + Remove quilt from Build-Depends.
  * Improve debian/rules:
    + Trap errors.
    + Use $(CURDIR) variable instead of $(shell pwd).
    + Use $(MAKE) variable.
    + Rewrite get-orig-source target, so that it can be run in any directory,
      doesn't need TMPDIR to be set, create temporary files securely,
      normalize permissions inside tarball and uses maxmimum compression.
  * Add DEP-3 patch headers.
  * Bump standards version to 3.9.2 (no changes needed).
  * Build-depend on ghostscript (needed for pf2afm) instead of gs-common.
  * Move xfonts-tipa.scale to /etc/X11/fonts/Type1/ (see #364530):
    + Update paths in debian/rules.
    + Drop obsolete postinst script.
    + Use dpkg-maintscript-helper in preinst/postinst/postrm. Build-depend on
      debhelper (>= 8.1.0), which can handle debian/*.maintscript files. Add
      ${misc:Pre-Depends}.
  * Bump debhelper compat to 8 (no changes needed).
  * Force tight versioned dependency between xfonts-tipa and tipa.
  * Remove unused debian/tipa.defoma-hints.
  * Drop defoma support. Thanks to Paul Wise for hints.
    + Don't call dh_installdefoma in debian/rules.
    + Drop (build-)dependency on defoma.
  * Remove preinst code that was needed only for upgrades from versions older
    than oldstable.
  * Move xfonts-tipa to section fonts.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 28 Oct 2011 13:42:54 +0200

tipa (2:1.3-14) unstable; urgency=low

  * Rebuilt with debhelper 7.2.14 to get rid of Lintian warning
    postinst-has-useless-call-to-install-docs
  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes needed)
    + The package is now maintained with Git at alioth.debian.org.  Add
      Vcs-Git field and change Vcs-Browser accordingly.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 21 Apr 2009 09:39:35 +0200

tipa (2:1.3-13) unstable; urgency=low

  * Switch from dpatch to quilt for Debian patches management
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control:
    + Bump Standards-Version to 3.8.0 (no changes needed)
    + Fix Lintian warning debhelper-but-no-misc-depends
    + Add defoma to Build-Depends-Indep, otherwise the call to
      dh_installdefoma fails
    + Add a generic paragraph at the beginning of the long descriptions
      of the packages xfont-tipa and tipa-doc
  * debian/rules: Use dh_prep instead of dh_clean -k

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 28 Feb 2009 15:45:52 +0100

tipa (2:1.3-12) unstable; urgency=low

  * debian/control: Append trunk to the Vcs-Svn URL
  * tipa-doc.doc-base.tipa-{manual,typefaces,vowel}: Set Section to Text

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 19 Mar 2008 01:41:02 +0100

tipa (2:1.3-11) unstable; urgency=low

  * debian/README.Debian: Fixed path of documentation files and added a
    note telling that they are included in the tipa-doc package (closes:
    #455571)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 15 Dec 2007 00:14:44 +0100

tipa (2:1.3-10) unstable; urgency=low

  * debian/tipa.preinst: Adjusted version of the last release in which
    the obsolete configuration file 10tipa.cfg appeared, such that it will be
    removed on upgrading (thanks to Kumar Appaiah for the heads up,
    closes: #455120)
  * debian/control:
    + Added Homepage field
    + Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*
    + Dropped the Homepage pseudo-header from the extended descriptions
    + Bumped Standards-Version to 3.7.3

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 09 Dec 2007 12:33:20 +0100

tipa (2:1.3-9) unstable; urgency=low

  * debian/tipa-doc.links: Added links for the TIPA documentation files,
    such that texdoc can find them (closes: #437365)
  * debian/rules: Do not ignore "make clean" errors

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 26 Aug 2007 14:09:37 +0200

tipa (2:1.3-8) unstable; urgency=low

  * debian/tipa.preinst:
    + Renamed file from debian/preinst
    + Use dpkg-query instead of accessing /var/lib/dpkg/status
    + When processing the obsolete configuration file 10tipa.cfg, use
      dpkg-query instead of checking against a specific md5sum value.
      Thanks to Frank Küster for the suggestion (closes: #428851)
  * debian/tipa.postinst: Removed this file, since tipa.preinst takes care of
    the obsolete configuration file 10tipa.cfg now

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 15 Jun 2007 18:57:21 +0200

tipa (2:1.3-7) unstable; urgency=low

  * debian/tipa.postinst: Delete updmap file 10tipa.cfg if it exists
    and if its md5sum conincides with that of the file released until
    version 1.3-5 of the package (closes: #421001)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 26 Apr 2007 10:49:28 +0200

tipa (2:1.3-6) unstable; urgency=low

  * debian/control:
    + Added XS-Vcs-Svn and XS-Vcs-Browser fields
    + Dropped build-dependencies on teTeX packages; build-depend only on
      TeXLive packages now.
  * debian/rules:
    + Rewritten header
    + Deleted line setting DH_COMPAT
  * debian/compat: Added file (debhelper compatibility level = 5)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 22 Apr 2007 09:19:03 +0200

tipa (2:1.3-5) unstable; urgency=low

  * Created the tipa-doc package, containing the (rather larger) *.dvi and
    *.pdf files for the TIPA documentation
  * debian/control: Reworded the description of the TIPA package, making
    it clear that the xfonts-tipa package is not necessary for visualizing
    documents typeset with TIPA/LaTeX in X11 (closes: #405922)

 -- Rafael Laboissiere <rafael@debian.org>  Thu,  1 Feb 2007 18:01:49 +0100

tipa (2:1.3-4) unstable; urgency=low

  * debian/postrm: Removed this file, whose job is done automatically by
    dh_installtex (this should hopefully really closes: #335990).  Thanks
    again to Norbert Preining for the heads up.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 19 Jun 2006 11:42:41 +0200

tipa (2:1.3-3) unstable; urgency=low

  * debian/postinst: Removed this file, since everything in it is now
    automagically generated by dh_installtex (really closes: #335990).
    Thanks to Norbert Preining for pointing this out.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 18 Jun 2006 10:55:42 +0200

tipa (2:1.3-2) unstable; urgency=low

  * Rebuilt to get rid of a spurious directory tree that slipped into
    the debian directory and appeared in the .diff.gz in the last version

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 17 Jun 2006 23:36:49 +0200

tipa (2:1.3-1) unstable; urgency=low

  * New upstream release

  * Acknowledge NMU.  A big thanks to Norbert Preining and Frank Küster
    for taking care of the package while I was busy with other tasks.
    The following bugs have been fixed in the two previous NMUs:
    - FTBFS: Cannot find dh_installtexfonts (closes: #360728)
    - updmap was run as root (closes: #335990)
  * As a side effect, the package can now completely be removed through
    'dpkg --purge tipa' (closes: #195676; closes: #234942)
  * debian/patches/50_no-mktexlsr-in-makefile.dpatch: Added dpatch for
    changing Makefile to not call mktexlsr in the build rule (this patch
    was in the diff.gz since version 2:1.2-2.1)

  * debian/control:
    - Bumped Standards-Version to 3.7.2 (no changes needed)
    - Moved debhelper from Build-Depends-Indep to Build-Depends, complying
      with section 7.6 of the Debian Policy
    - Added dpatch to Build-Depends
    - Dropped perl from Build-Depends (it is in build-essential)
    - Added homepage of the upstream package (at CTAN now) in Description
    - Changes the priorities of tipa to optional and xfonts-tipa to extra
      (closes: #348482)
  * debian/copyright: Updated homepage, author e-mail address, and
    copyright notice

  * debian/rules:
    - added get-orig-source.  This target downloads the tipa.zip file from
      CTAN and generates the appropriate orig.tar.gz. File tipaface.pdf is
      now included in the generated upstream tarball.
    - Removed processing of tipaface.pdf.uu
  * debian/tipaface.pdf.uu: Removed file (see above)
  * debian/docs: install doc/tipaface.pdf, instead of debian/tipaface.pdf

  * debian/conffiles, debian/xfonts-tipa.conffiles: Removed files, since
    the helper programs seem to inclide the configuration files
    automatically.

  * debian/watch: Added file

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 17 Jun 2006 17:02:45 +0200

tipa (2:1.2-2.2) unstable; urgency=low

  * NMU with maintainer approval to fix FTBFS (Closes: #360728)
    - switch to dh_installtex
    - build-depend on tex-common >= 0.19
  * X font transition (Closes: #362403)
    - move pfb/afm links to /usr/share/fonts/X11/Type1
    - build-depends on debhelper >= 5.0.31, thus bumping compat level to 5:
      . install files into debian/$(package)/ and not into debian/tmp
      . remove dirs file, add the dirs to the dh_installdirs call
      . add several -p options to debhelper commands
      . remove the package.conffiles
    - fix defoma hints file for new location
    - move .scale file to new X11R7 location
    - xfonts-tipa: depend on tipa of same version, and defoma >= 0.5,
      and ${misc:Depends} for xfonts-utils dependency
  * bump standards version to 3.6.2.1
  * adjust priority to extra (Closes: #348482)
  * Upload sponsored by Frank Küster <frank@debian.org>

 -- Norbert Preining <preining@logic.at>  Wed, 19 Apr 2006 02:22:24 +0200

tipa (2:1.2-2.1) unstable; urgency=low

  * NMU with maintainer approval to work with new tetex3 (updmap-sys) and
    texlive.  It has been prepared by Norbert Preining <preining@logic.at>,
    upload sponsored by Frank Küster
  * use dh_installtexfonts, move map file to TEXMFMAIN/fonts/map/dvips,
    and update font documentation in README.Debian (closes: #335990)
  * Change Makefile to not call mktexlsr on the build system (this patch
    is in the diff.gz!)

 -- Frank Küster <frank@debian.org>  Mon, 16 Jan 2006 12:54:36 +0100

tipa (2:1.2-2) unstable; urgency=low

  * debian/control: tipa depends on tetex-bin. This will avoid the problem
    of calling updmap when upgrading from woody to sarge (closes: #309152)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 May 2005 17:07:50 +0200

tipa (2:1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/Makefile.patch: Removed file, since my changes have been
    included upstream.
  * debian/rules: Does not patch/depatch Makefile anymore.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 11 Dec 2003 10:50:58 +0100

tipa (2:1.1-4) unstable; urgency=low

  * Uploaded to unstable (now really closes: #223490).  See previous
    changelog entry (2:1.1-3.0) for details.  Thanks to Frank Kuester
    <frank@kuesterei.ch> for his kind support.
  * debian/postinst, debian/postrm: Fixed path for update-updmap.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 10 Dec 2003 16:12:42 +0100

tipa (2:1.1-3.0) experimental; urgency=low

  * Uploaded to experimental, since the package is not yet thoroughly
    tested.
  * debian/tipa.updmap: Added file.
  * debian/rules: Install debian/tipa.updmap as a configuration file named
    /etc/texmf/updmap.d/10tipa.cfg.  This conforms to the instructions in
    /usr/share/doc/tetex-bin/README.Debian.gz, which makes the tipa fonts
    available to other *TeX applications (closes: #223490).
  * debian/conffiles: Added /etc/texmf/updmap.d/10tipa.cfg
  * debian/postinst: Call update-updmap and updmap.
  * debian/postrm: Call update-updmap and updmap.  Rename 10tipa.cfg to
    10tipa.bak on remove and delete 10tipa.* on purge.
  * debian/dirs: Added directory etc/texmf/updmap.d

 -- Rafael Laboissiere <rafael@debian.org>  Tue,  9 Dec 2003 21:56:21 +0100

tipa (2:1.1-3) unstable; urgency=low

  * debian/gen-fonts-dir.pl: Make symbolic links for all .pfb and .afm
    files proveided by tipa.  This should fix problems with broken links
    to files in directory /usr/lib/X11/fonts/Type1/ (closes: #163683).
  * debian/control: Bumped Standards-Version to 3.5.7.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 17 Nov 2002 15:07:57 +0100

tipa (2:1.1-2) unstable; urgency=low

  * Moved the defoma-hints file to the xfonts-tipa package.  It was
    erroneously associated with the tipa package, and was causing nasty
    warnings when abiword-common was installed with tipa but without
    xfonts-tipa (closes: #161076).  Thanks to Ian Zimmerman
    <itz@speakeasy.org>.
  * Let file /usr/share/doc/tipa/tipaface.pdf be compressed now, since its
    uncompressed size is huge.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 17 Sep 2002 08:11:53 +0200

tipa (2:1.1-1) unstable; urgency=low

  * New upstream release (closes: #160202).  This is the official 1.1
    release, so that the package version number is preceded by a "2:" now,
    in order to become higher than the previous 1:1.1.beta-4.
  * debian/control: Added a better description to the tipa package
    (closes: #159186).
  * debian/rules: Apply patch to the upstream Makefile
    (debian/Makefile.patch).  Among other fixes, afm files are included in
    the tipa package (closes: #145830).  USe now the upstream
    dh_installdefoma, which has been fixed.
  * debian/tipaface.pdf.uu: Added this file to the /usr/share/doc directory.
    It is provided at the main ftp site for the TIPA package, but is not
    included in the distribution tarball.  Uudecode it in debian/rules
    (this is why sharutils is added to Build-Depends in debian/control).
  * debian/docs: Added debian/tipaface.pdf.
  * debian/doc-base.tipa-manual, debian/doc-base.tipa-vowel, and
    debian/doc-base.tipa-typefaces: Added files.
  * debian/copyright: Updated to reflect the use of LPPL as the license.

 -- Rafael Laboissiere <rafael@debian.org>  Mon,  9 Sep 2002 21:25:38 +0200

tipa (1:1.1.beta-4) unstable; urgency=low

  * debian/rules: Remove hack for fixing the code from
    prerm-defoma-hints.  The prerm script contains now purge-all and not
    purge-all-all.  (This closes: #145519, thanks to Gerfried Fuchs
    <alfie@debian.org>).

 -- Rafael Laboissiere <rafael@debian.org>  Thu,  2 May 2002 22:02:23 +0200

tipa (1:1.1.beta-3) unstable; urgency=low

  * debian/control: Added tetex-extra to Build-Depends-Indep, so that file
    mflogo.sty is found (closes: #142136).

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 11 Apr 2002 00:17:25 +0200

tipa (1:1.1.beta-2) unstable; urgency=low

  * debian/dirs: Removed extraneous directory entries.  This is old stuff
    and was causing some empty directories to appear in the package
    (closes: #130262).

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 21 Jan 2002 17:46:29 +0100

tipa (1:1.1.beta-1) unstable; urgency=low

  * New upstream release (closes: #129460).
  * The package xfonts-tipa is now generated from the tipa package source.
    xfonts-tipa was generated before by the tipa-type1 source package,
    which contained the .pfb files generated independently by Taco
    Hoekwater and available at CTAN.  The package tipa-type1 is now
    obsolete, since the type1 fonts are included in package tipa.
  * Use defoma for font registration and install the X fonts in the right
    directory.  Use dh_installxfonts for updating correctly  (closes: #128577).
  * By the way, the latest version of the defoma package (0.10.1) is
    bugggy.  This is why a fixed dh_installdefoma is provided in the
    debian/ directory and there is a piece of code in debian/rules to
    fix the prerm script of the xfonts-tipa package.  These fixes will go
    away when Bugs #129824 and #129953 filled against the defoma package
    will be fixed.
  * The package does not mess anymore with the udpmap script from the
    tetex-base package (closes: #123432).  It is now up to the user to
    enable dvips and pdflatex for using the type1 fonts.  A note has been
    added to debian/README.Debian.
  * debian/control:
    - Bumped Standards-Version to 3.5.6.
    - Added Build-Depends-Indep.
    - Changed e-mail address of maintainer.
  * debian/rules: Several improvements.  Too many to describe here.  By
    the way, this Debian package has undergone a quite major overhaul
    since its latest upstream release six years ago.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 18 Jan 2002 23:07:19 +0100

tipa (19960624-6) frozen unstable; urgency=low

  * debian/postinst: Removed silly "exit 0" before "#DEBHELPER#" (this
    prevented the creation of the symbolic link /usr/doc/tipa ->
    /usr/share/doc/tipa).
  * To the Release Manager: no new code nor new features; just better
    itegration into the Debian system.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Wed, 26 Jan 2000 09:38:51 +0100

tipa (19960624-5) unstable; urgency=low

  * FHS compliant.
  * Upgraded to Standards-Version 3.0.1.
  * debian/copyright: right location for the GPL.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Sat,  6 Nov 1999 17:01:48 +0100

tipa (19960624-4) unstable; urgency=low

  * Applied patch by Sebastian Ratz <s.rahtz@elsevier.co.uk> to fix a bug
    due to the last update of LaTeX (Dec. 1998) that was causing T3enc.def
    to be read twice (closes: bug#36481).
  * Much improved postinst and postrm scripts.  In particular, test for
    existence of texhash before launching it (closes: bug#35559).
  * Installing files under /usr/share instead of /usr/lib, as this is the
    new standard location.
  * tipa now suggests the package tipa-type1.
  * During the package building, rename the *.def to lowercase before
    building the docs.  This was causing a dbuild error.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Thu, 10 Jun 1999 17:54:32 +0200

tipa (19960624-3) frozen unstable; urgency=low

  * Moved from non-free to main, because author agrees with the GPL
    copyright.  His notice is not yet in the upstream source, but he
    authorized me to use the GPL for the Debian package.
  * Corrected bug in the upstream tipa.sty: \usepackage should be
    \RequirePackage (this modification is documented in README.Debian,
    along with others).

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Tue, 20 Oct 1998 10:16:35 +0200

tipa (19960624-2) unstable; urgency=low

  * Moving from experimental to unstable.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Tue, 13 Oct 1998 13:00:08 +0200

tipa (19960624-1) experimental; urgency=low

  * Initial Release.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Sun,  7 Jun 1998 08:59:29 +0200

Local variables:
ispell-local-dictionary: "american"
End:
